Bug 1838570 - baremetal-operator tools target doesn't build with -mod=vendor
Summary: baremetal-operator tools target doesn't build with -mod=vendor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
low
Target Milestone: ---
: 4.5.0
Assignee: Stephen Benjamin
QA Contact: Lubov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-21 11:35 UTC by Stephen Benjamin
Modified: 2020-07-13 17:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:40:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift baremetal-operator pull 69 0 None closed Bug 1838570: Use -mod=vendor when building tools 2020-06-22 05:36:28 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:40:49 UTC

Description Stephen Benjamin 2020-05-21 11:35:10 UTC
OSE builds of baremetal-operator are broken, as the `make tools` target doesn't add -mod=vendor to the go build command. Due to that, it tries to fetch go modules from the internet and fails in the OSE environment.

Comment 3 Lubov 2020-06-15 13:04:24 UTC
Is there a need for QA?
If yes, how to verify it?

Comment 5 errata-xmlrpc 2020-07-13 17:40:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.